package app.visionx.apps.csvimportexample.screens;

import app.visionx.apps.csvimportexample.Session;
import com.sibvisions.rad.persist.jdbc.DBStorage;

/**
* The CSVImportExample class is the life-cycle object for CSVImportExampleWorkScreen.
*/
public class CSVImportExample extends Session
{
	/**
	 * Gets the customer database storage.
	 * 
	 * @throws Exception if the DBStorage couldn't initialized.
	 * @return the customer DBStorage.
	 */
	public DBStorage getCustomer() throws Exception
	{
		DBStorage dbsCustomer = (DBStorage)get("customer");
		if (dbsCustomer == null)
		{
			dbsCustomer = new DBStorage();
			dbsCustomer.setWritebackTable("customer");
			dbsCustomer.setDBAccess(getDBAccess());
			dbsCustomer.open();

			put("customer", dbsCustomer);
		}
		return dbsCustomer;
	}

} // CSVImportExample
